Subject: [IPsec] Issue #48: Change text re: document status vs. older RFCs

From: Yaron Sheffer <[email-masked]>
Date: Tue, 3 Mar 2009 20:18:05 +0200

Yaron: Sec. 1: 'intended to replace': the status WRT IKEv1 and IKEv2 is obviously very different. I suggest:

[4306]<http://trac.tools.ietf.org/wg/ipsecme/trac/changeset/4306> has obsoleted the IKEv1 document set. The current document replaces [IKEv2] and [Clarif] by a single unified description of the IKEv2 protocol.

Paul: I think the current [wording] is actually more correct than the proposed rewording.
Yaron: the text has been changed somewhat in the meantime. The current text has:

... This memo describes such a protocol -- the Internet Key Exchange (IKE).  Version 1 of IKE was defined in RFCs 2407 [DOI], 2408 [ISAKMP], and 2409 [IKEV1].  IKEv2 replaced all of those RFCs. IKEv2 was defined in [IKEV2] (RFC 4306) and was clarified in [Clarif] (RFC 4718).  This document replaces and updates RFC 4306 and RFC 4718.

I suggest to append this sentence to the above paragraph:

IKEv2 was a major, non-backward compatible change to the IKE protocol; in contrast, the current document is primarily a clarification of IKEv2, making a minimum number of necessary changes to the protocol.

---

From: Joy Latten <[email-masked]>
Date: Tue, 10 Mar 2009 16:16:33 -0500

On Tue, 2009-03-03 at 20:18 +0200, Yaron Sheffer wrote:
> [4306] has obsoleted the IKEv1 document set. The current document
> replaces [IKEv2] and [Clarif] by a single unified description of the
> IKEv2 protocol. 
> 
> … This memo describes such a protocol -- the Internet Key Exchange
> (IKE).  Version 1 of IKE was defined in RFCs 2407 [DOI], 2408
> [ISAKMP], and 2409 [IKEV1].  IKEv2 replaced all of those RFCs. IKEv2
> was defined in [IKEV2] (RFC 4306) and was clarified in [Clarif] (RFC
> 4718).  This document replaces and updates RFC 4306 and RFC 4718.
> 
>  

This sounds good to me and straight forward.
> IKEv2 was a major, non-backward compatible change to the IKE protocol;
> in contrast, the current document is primarily a clarification of
> IKEv2, making a minimum number of necessary changes to the protocol.
> 

As an implementer who has had to read rfcs often, I had to read this
sentence more than once to understand. Would something like below
be easier?

IKEv2 was a non-backward compatible change to the IKE protocol. 
In contrast the current document not only provides a clarification
of IKEv2, but makes minimum change to the IKE protocol. 

regards,
Joy